{$apptype console}
uses
  sysutils, math;

procedure swap(var a, b : longint);
var
  t : longint;
begin
  t := a;
  a := b;
  b := t;
end;

var
  n, k : longint;

begin
  randseed := strtoint(paramstr(1));
  n := 1 + random(1000000);
  k := 1 + random(1000000);
  if (n < k) then
  begin
    if (random(2) = 0) then
    begin
      swap(n, k);
    end;
  end;
  writeln(n, ' ', k, ' ', 1 + random(1000000000));
end.